Bug 70 - Backup fails after upgrade
Summary: Backup fails after upgrade
Status: RESOLVED FIXED
Alias: None
Product: ZeXtras
Classification: Unclassified
Component: ZxBackup (show other bugs)
Version: 1.8.3
Hardware: -- Ubuntu 12 - 64 bit
: Normal major
Assignee: ZeXtras Bugzilla Admin
QA Contact:
URL:
Depends on:
Blocks:
 
Reported: 2013-03-19 14:01 CET by Larry
Modified: 2013-05-27 13:36 CEST (History)
1 user (show)

See Also:
Browser: ---
Zimlet Chat version: ---
Zimbra Version: 8.0.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Larry 2013-03-19 14:01:54 CET
Upgrade Zimbra from 8.0.2 -> 8.0.3 and then at the same time Zextras to 1.8.3.  Received the following from the nightly backup last night and it was not successful:

- exception -
com.zimbra.cs.mailbox.MailboxLock$LockFailedException: timeout
        at com.zimbra.cs.mailbox.MailboxLock.lock ( MailboxLock.java:58 )
        at com.zimbra.cs.mailbox.Mailbox.beginTransaction ( Mailbox.java:1475 )
        at com.zimbra.cs.mailbox.Mailbox.beginTransaction ( Mailbox.java:1460 )
        at com.zimbra.cs.mailbox.Mailbox.getItemById ( Mailbox.java:2445 )
        at com.zimbra.cs.mailbox.Mailbox.getItemById ( Mailbox.java:2437 )
        at com.zextras.proxy.ZEMailbox.getItemById ( ZEMailbox.java:87 )
        at com.zextras.op.backup.ZEScanOperation.scanMailItem ( ZEScanOperation.java:162 )
        at com.zextras.op.backup.ZEScanOperation.fastItemsScan ( ZEScanOperation.java:206 )
        at com.zextras.op.backup.ZEScanOperation.doAccountScan ( ZEScanOperation.java:313 )
        at com.zextras.op.backup.ZEScanOperation.doDomainScan ( ZEScanOperation.java:85 )
        at com.zextras.op.backup.ZESmartScanOperation.doOperation ( ZESmartScanOperation.java:191 )
        at com.zextras.op.ZEOperation.exec ( ZEOperation.java:611 )
        at com.zextras.backup.ZEBackupThread.execOperation ( ZEBackupThread.java:196 )
        at com.zextras.backup.ZEBackupThread.run ( ZEBackupThread.java:106 )

=====================================
Please let us know if you require additional information to look into this.  Thanks!
Comment 1 Cine 2013-03-19 14:06:44 CET
Hello Larry,

Your report is being analyzed, I'll let you know the outcome of our tests as soon as possible.

I just want to clarify that the "Fullscan" and "Smartscan" operations are not "nightly backups", but coherency checks that will fix any difference between the data backupped by the Real Time Scanner engine and the data currently in the mailboxes.
The only difference between the two is that the Fullscan also purges any deleted items that are out of the retention period from the backup. 

Regards,
Cine
Comment 2 Larry 2013-03-19 14:35:30 CET
Yes, thanks for mentioning that.  We did realize this was what they are doing and just referred to it that way.  Appreciate the prompt response!
Comment 3 Larry 2013-03-20 13:40:14 CET
Just to provide an update the smart scan last evening completed without error, so it is not an always problem which sometimes is easier to find in the code.  My guess some sort of race condition. Thanks!
Comment 4 ZeXtras Bugzilla Admin 2013-05-27 13:36:34 CEST
fixed in 1.8.5-hotfix
http://forums.zextras.com/news-announcements/585-zextras-suite-1-8-5-zimbra-released.html#post2843